/* 

Orden 

1. Position
2. Box model
3. Typographic
4. Visual
5. Misc

*/

* {
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #070c24;
}

.container {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 900px;
    height: 600px;
    margin: 20px;
    background-color: #fff;
}

.container .imgBox {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 100%;
    background-color: #5466b1;
}

.container .imgBox:before {
    position: absolute;
    top: 20px;
    left: 20px;
    font-size: 8em;
    font-weight: 800;
    color: #000;
    content: 'Nike';
    opacity: 0.1;
}

.container .imgBox img {
    position: relative;
    left: -50px;
    width: 700px;
    transform: rotate(-30deg);
}

.container .details {
    display: block;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 100%;
    box-sizing: border-box;
    padding: 40px;
}

.container .details h2 {
    margin-top: 45px;
    margin-bottom: 25px;
    font-size: 2.5em;
    line-height: 0.8em;
    color: #444;
}

.container .details h2 span {
    font-size: 0.4em;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: #999;
}

.container .details p {
    max-width: 85%;
    margin-left: 15%;
    margin-bottom: 35px;
    color: #333;
    font-size: 15px;
}

.container .details h3 {
    float: left;
    margin-top: 5px;
    font-size: 2.5em;
    color: #a2a2a2;
}

.container .details .buyButton {
    /*margin-top: 5px;*/
    float: right;
    padding: 15px 20px;
    font-size: 16px;
    color: white;
    letter-spacing: 1px;
    font-weight: 600;
    text-transform: uppercase;
    border-radius: 40px;
    background-color: #5466b1;
    border: none;
    cursor: pointer;
}

.container .details .colorLoc {
    margin-bottom: 15px;
}

.container .details .colorLoc #butBlack {
    background-color: #434544;
}

.container .details .colorLoc #butGreen {
    background-color: green;
}

.container .details .colorLoc #butBlue {
    background-color: #5466b1;
}

.container .details .colorLoc #butOrange {
    background-color: #d0461e;
}

.container .details .colorLoc #butRed {
    background-color: #c12919;
}

.container .details .colorButton {
    width: 100px;
    margin: 5px;
    padding: 10px 10px;
    font-size: 14px;
    color: white;
    letter-spacing: 1px;
    font-weight: 600;
    text-transform: uppercase;
    border-radius: 40px;
    background-color: #5466b1;
    border: none;
    cursor: pointer;
}

@media (max-width: 1080px) {
    .container {
        height: auto;
    }
    .container .imgBox {
        height: auto;
        padding: 40px;
        width: 100%;
        box-sizing: border-box;
        text-align: center;
    }
    .container .imgBox img {
        left: initial;
        max-width: 100%;
        transform: rotate(0deg);
    }
    .container .details {
        width: 100%;
        height: auto;
        padding: 20px;
    }
    .container .details p {
        max-width: 100%;
        margin-left: 0;
    }
}